Skip to main content
GET
/
bills
List Bills
curl --request GET \
  --url https://api.meow.com/v1/bills \
  --header 'x-api-key: <api-key>'
{
  "bills": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "vendor_name": "<string>",
      "created_by": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "invoice_number": "<string>",
      "description": "<string>",
      "memo": "<string>",
      "bill_date": "2023-12-25",
      "bill_due_date": "2023-12-25",
      "bill_total": "<string>",
      "contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "category_name": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "submitted_at": "2023-11-07T05:31:56Z",
      "submitted_by": "<string>",
      "paid_at": "2023-11-07T05:31:56Z",
      "paid_by": "<string>",
      "scheduled_at": "2023-11-07T05:31:56Z",
      "resolved_at": "2023-11-07T05:31:56Z",
      "canceled_at": "2023-11-07T05:31:56Z",
      "canceled_by": "<string>",
      "bill_schedule_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ordinal": 123
    }
  ],
  "page": {
    "nextOffset": "qwer123454q2f"
  }
}

Authorizations

x-api-key
string
header
required

Your Meow API key, sent in the x-api-key header for authentication.

Headers

x-entity-id
string<uuid>

Optional entity_id to scope requests to a specific entity.

Query Parameters

statuses
enum<string>[] | null
Available options:
CANCELED,
DRAFT_PROCESSING,
DRAFT,
PAYMENT_INFO_NEEDED,
PENDING,
APPROVED,
REJECTED,
SCHEDULED,
PAYMENT_INITIATED,
PAYMENT_DELIVERED,
PAYMENT_FAILED,
PAYMENT_CANCELED
contact_id
string<uuid>[] | null
amount_min
amount_max
bill_date_from
string<date> | null
bill_date_to
string<date> | null
due_date_from
string<date> | null
due_date_to
string<date> | null
search
string | null
sort_by
enum<string> | null
Available options:
VENDOR_NAME,
STATUS,
AMOUNT,
PAYMENT_DATE,
BILL_DATE,
BILL_DUE_DATE,
INVOICE_NUMBER,
DESCRIPTION,
PAYMENT_TYPE,
CATEGORY
sort_descending
boolean
default:false
limit
integer
default:10
Required range: 1 <= x <= 100
offset
string | null

Opaque offset identifier for pagination. Use the nextOffset from a previous response.

Maximum string length: 100

Response

Successful Response

bills
BillSummaryResponse · object[]
required

List of bills.

page
PageMetadata · object | null

Pagination metadata.